require("title-screen")
require("game-screen")
object_list = {}

function love.load()
  love.window.setMode(640,480)
  love.graphics.setDefaultFilter("nearest","nearest",0)
  
  table.insert(object_list,Title_screen:new())
  table.insert(object_list,Game_screen:new())
end

function love.update(dt)
  for index,object in ipairs(object_list) do
    object:update(dt)
  end
  
  if(love.keyboard.isDown("escape")) then
    love.event.quit(0)
  end
end

function love.draw()
  for index,object in ipairs(object_list) do
    object:draw()
  end
end